HttpResponse::setCache
HttpResponse::setContentDisposition
The HttpResponse
PHP Manual

# HttpResponse::setCacheControl

(PECL pecl_http >= 0.10.0)

HttpResponse::setCacheControl — Set cache control

### Description

static bool HttpResponse::setCacheControl ( string `$control` [, int `$max_age` = 0 [, bool `$must_revalidate` = true ]] )

Define a custom Cache-Control header, usually being private or public;

### Parameters

`control`

  the primary cache control setting

`max_age`

  the max-age in seconds, suggesting how long the cache entry is valid on the client side

`must_revalidate`

  whether the cached entity should be revalidated by the client for every request

### Return Values

Returns `TRUE` on success, or `FALSE` if control does not match one of public, private or no-cache.

### See Also

- HttpResponse::getCacheControl() - Get cache control
- HttpResponse::setCache() - Set cache
- HttpResponse::getCache() - Get cache

HttpResponse::setCache
HttpResponse::setContentDisposition
The HttpResponse
PHP Manual